#
# spec file for package netcat (Version 1.10)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

Name:         netcat
%define INSTALL install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
License:      distributable, Other License(s), see package
Group:        Productivity/Networking/Other
Autoreqprov:  on
Summary:      A simple but powerful network tool
Version:      1.10
Release:      1
Source:       netcat-1.10.tar.gz
Source1:      netcat.1
Patch0:       netcat-1.10-aix.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-root


%description
Netcat is a simple Unix utility that reads and writes data across
network connections, using TCP or UDP protocols. It is designed to be a
reliable "back-end" tool that can be used directly or easily driven by
other programs and scripts.  At the same time, it is a feature-rich
network debugging and exploration tool, since it can create almost any
kind of connection you may need and has several interesting built-in
capabilities.

You can find the documentation in
/opt/freeware/share/doc/packages/netcat/README.

Authors:
--------
    hobbit@avian.org

%prep
%setup -q
%patch0


%build
make aix


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{INSTALL_DIR} $RPM_BUILD_ROOT/opt/freeware/bin
%{INSTALL_DIR} $RPM_BUILD_ROOT/opt/freeware/man/man1
%{INSTALL} netcat $RPM_BUILD_ROOT/opt/freeware/bin/netcat
%{INSTALL} %{SOURCE1} $RPM_BUILD_ROOT/opt/freeware/man/man1


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,755)
%{_bindir}/netcat
%{_mandir}/man1/*
%doc Changelog
%doc README
%doc data
%doc scripts


%changelog -n netcat
* Thu Jan 12 2006 Michael Perzl <mperzl at de dot ibm dot com>
- first version for AIX V5.1 and higher

* Wed Mar 02 2005 - mmj@suse.de
- FreeBSD had a netcat manual page, so add it to our package
* Wed Apr 28 2004 - ro@suse.de
- change return type of "helpme" to void
* Fri Jan 30 2004 - max@suse.de
- Building as a non-root user
- Added support for partial shutdown if stdin gets closed (#34219)
* Tue Sep 16 2003 - max@suse.de
- Use argv[0] instead of hardcoded program name. (#30939)
* Tue Jul 01 2003 - coolo@suse.de
- don't use $RPM_PACKAGE_NAME in %%setup
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jan 19 2001 - schwab@suse.de
- Include <resolv.h> if HAVE_BIND.
* Thu Jan 18 2001 - grimmer@suse.de
- Changed Group tag to Networking/Utilities
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 17 1998 - max@suse.de
- changed "nc" to "netcat" in the example scripts,
  to make them work.
* Mon Mar 16 1998 - max@suse.de
- new package
- allows "cat" via network as server or client with TCP or UDP
